<form [formGroup]="customDayOffForm" (ngSubmit)="onSave()">
  <div class="form-group form-row mt-3">
    <div class="col-md-3 col-form-label">
      Month
    </div>
    <div class="col-md-9">
      <p-calendar name="date" formControlName="date" [locale]="globals.calendarLocale" view="month" dateFormat="mm - yy"
        [style]="{'width':'100%'}" [minDate]="customDayOffDialogModel.minDate"
        [maxDate]="customDayOffDialogModel.maxDate" [inputStyle]="{'width':'100%'}"></p-calendar>
      <div class="mt-1">
        <ng-container *ngIf="showCustomDayOffFormValidationErrors('date')">
          <div class="text-danger" *ngIf="customDayOffForm.controls['date'].errors?.['required']">
            Value is required
          </div>
        </ng-container>
      </div>
    </div>
  </div>

  <div class="form-group form-row">
    <div class="col-md-3 col-form-label">
      Extra day off
    </div>
    <div class="col-md-9">
      <input 
        formControlName="extraDayOff" 
        name="extraDayOff" 
        required 
        pInputText  
        [pKeyFilter]="'num'" 
        type="number"
        class="w-100"
        (input)="sanitizeExtraDayOffInput($event)" />

      <div class="mt-1">
        <ng-container *ngIf="showCustomDayOffFormValidationErrors('extraDayOff')">
          <div class="text-danger" *ngIf="customDayOffForm.controls['extraDayOff'].errors?.['required']">
            Value is required
          </div>
          <div class="text-danger" *ngIf="customDayOffForm.controls['extraDayOff'].errors?.['min']">
            Number you entered is {{customDayOffForm.controls['extraDayOff'].errors?.['min']?.['actual']}}, but it must
            be bigger than
            {{customDayOffForm.controls['extraDayOff'].errors?.['min']?.['min']}}
          </div>
          <div class="text-danger" *ngIf="customDayOffForm.controls['extraDayOff']?.errors?.['max']">
            Number you entered is
            {{ customDayOffForm.controls['extraDayOff'].errors?.['max']?.['actual']}}, but it cannot be bigger than
            {{ customDayOffForm.controls['extraDayOff'].errors?.['max']?.['max'] }}
          </div>
          <div class="text-danger" *ngIf="customDayOffForm.controls['extraDayOff']?.errors?.['pattern']">
            Invalid number format!
          </div>
        </ng-container>
      </div>
    </div>
  </div>

  <div class="form-group form-row">
    <div class="col-md-3 col-form-label">
      Description
    </div>
    <div class="col-md-9">
      <textarea formControlName="description" name="description" pInputTextarea [rows]="2" style="width: 100%"
        [autoResize]="autoResize">
      </textarea>
      <div class="mt-1"></div>
        <ng-container *ngIf="showCustomDayOffFormValidationErrors('description')">
          <div class="text-danger" *ngIf="customDayOffForm.controls['description'].errors?.['required']">
            Value is required
          </div>
          <div class="text-danger" *ngIf="customDayOffForm.controls['description'].errors?.['minlength']">
            Value you entered is {{customDayOffForm.controls['description'].errors?.['minlength']?.['actualLength']}}
            characters long, but it must be at least
            {{customDayOffForm.controls['description'].errors?.['minlength']?.['requiredLength']}}
          </div>
        </ng-container>
    </div>
  </div>

  <div class="form-group form-row">
    <div class="col-12 text-right">
      <button type="submit" [disabled]="customDayOffForm.invalid" pButton label="Save"></button>
    </div>
  </div>
</form>